var VcfActions = function()
{
	var vcf = {};

	vcf.initElement = function(element, autoInit)
	{
		if (autoInit == 'view-variants')
		{
			Events.addEventHandler(element, 'click', vcf.viewVariants);
		}
		else if (autoInit == 'view-genotype')
		{
			Events.addEventHandler(element, 'click', vcf.viewGenotype);
		}
	}
	
	vcf.viewGenotype = function(event)
	{
		var fileId = Data.int(event.currentTarget, 'file-id');
		var itemId = Data.get(event.currentTarget, 'item-id');
		var homeUrl = Data.get(event.currentTarget, 'home');

		var url = homeUrl+'/analysis/view_genotypes.jsp?ID=' + App.getSessionId();
		url += '&fileId='+fileId;
		url += '&itemId='+itemId;
		Dialogs.openPopup(url, 'ViewGenotype', 750, 500);
	}
	
	vcf.viewVariants = function(event)
	{
		var fileId = Data.int(event.currentTarget, 'file-id');
		var itemId = Data.get(event.currentTarget, 'item-id');
		var homeUrl = Data.get(event.currentTarget, 'home');

		var url = homeUrl+'/analysis/view_variants.jsp?ID=' + App.getSessionId();
		url += '&fileId='+fileId;
		url += '&itemId='+itemId;
		Dialogs.openPopup(url, 'ViewVariants', 900, 600);
	}
	
	return vcf;
}();

Doc.addElementInitializer(VcfActions.initElement);